# Add Choco App

You can add an application deployment utilising [Chocolatey](https://chocolatey.org/) by executing this wizard. The wizard guides you through the steps and provides the ability for you to deploy an app to many tenants at the same time.

If you have a personal repository you can enter the address for this repository too to deploy packages from your own trusted sources.

## Details

The status of the deployment can is traceable through the logs page, or the "Applications queue" page.

The application uploaded is [this prepared IntuneWin file](https://github.com/KelvinTegelaar/CIPP-API/blob/master/AddChocoApp/IntunePackage.intunewin?raw=true) with two scripts included - `install.ps1` and `uninstall.ps1`. These scripts install Chocolatey, and then run an install or uninstall command.

If you are unsure or don't trust the `IntuneWin` file, you have the option to replace this with your own in your fork.

It's strongly recommended that you download, test, and view the contents of the intunewin file.

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?assignees=\&labels=enhancement%2Cno-priority\&projects=\&template=feature.yml\&title=%5BFeature+Request%5D%3A+) on GitHub.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cipp.app/user-documentation/endpoint/applications/list/add-application/add-choco-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
